Change a draft's source, options or step
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload := strings.NewReader("{ \"options\": { \"evidence\": \"trust\", \"importEngagement\": true, \"importTags\": true, \"importTemplates\": true, \"lists\": [ { \"sourceId\": \"example\", \"target\": \"example\" } ], \"onConflict\": \"fill\", \"pace\": 1, \"pullSuppressions\": true, \"recordHistory\": true, \"risky\": { \"abuse\": \"import\", \"catch_all\": \"import\", \"disposable\": \"skip\", \"role\": \"exclude_broadcasts\", \"stale\": \"pending\", \"trap\": \"skip\", \"typo\": \"fix\", \"unknown\": \"import\" }, \"skipRows\": [ 1 ] }, \"source\": \"brevo\", \"step\": \"source\" }")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"options":{"evidence":"trust","importEngagement":true,"importTags":true,"importTemplates":true,"lists":[{"sourceId":"example","target":"example"}],"onConflict":"fill","pace":1,"pullSuppressions":true,"recordHistory":true,"risky":{"abuse":"import","catch_all":"import","disposable":"skip","role":"exclude_broadcasts","stale":"pending","trap":"skip","typo":"fix","unknown":"import"},"skipRows":[1]},"source":"brevo","step":"source"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "options": { "evidence": "trust", "importEngagement": true, "importTags": true, "importTemplates": true, "lists": [ { "sourceId": "example", "target": "example" } ], "onConflict": "fill", "pace": 1, "pullSuppressions": true, "recordHistory": true, "risky": { "abuse": "import", "catch_all": "import", "disposable": "skip", "role": "exclude_broadcasts", "stale": "pending", "trap": "skip", "typo": "fix", "unknown": "import" }, "skipRows": [ 1 ] }, "source": "brevo", "step": "source" }'Permission: subscribers:import
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”object
object
object
List id, or new:
object
Responses
Section titled “Responses”OK
object
object
object
Hard bounced in the source
object
object
object
Source_auth_failed, source_rate_limited, source_unavailable, file_columns, file_unreadable
HTTP status from the source (401, 429)
An API key is stored (it is never returned)
object
object
object
List id, or new:
object
object
Contacts imported, merged or imported as pending
object
object
object
Re-permission emails sent through the System stream
object
Providers the new suppressions were pushed to
object
Unsubscribe, hard_bounce, complaint
object
object
Marketing and other templates added to the saved templates
Transactional templates imported as drafts
object
Example
{ "log": [ { "kind": "start" } ], "options": { "evidence": "trust", "onConflict": "fill", "risky": { "abuse": "import", "catch_all": "import", "disposable": "skip", "role": "exclude_broadcasts", "stale": "pending", "trap": "skip", "typo": "fix", "unknown": "import" } }, "status": "draft", "step": "source"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}